def heron(a,u,n):
    if u <=0:
        return "Le premier terme doit être strictement positif."
    elif a <= 0:
        return "La valeur de 'a' doit être strictement positive."
    else:
        L = [ u ]
        k = 0
        while k < n:
            u = 0.5 * (u + a / u)
            L.append(u)
            k = k + 1
        return L
